curl --request PATCH \
--url https://mcp.echozero.app/api/v1/users/me/activations/{strategyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"executionMode": "ALERTS_ONLY",
"allocationMode": "PERCENTAGE_RANGE"
}
'
{
"success": true,
"data": {
"success": true,
"message": "<string>",
"activation": {
"agentId": "<string>",
"tradingBotId": "<string>",
"executionMode": "AUTO_TRADING",
"activatedAt": "2023-11-07T05:31:56Z",
"allocationMode": "PERCENTAGE_RANGE",
"allocationPercentageMin": 123,
"allocationPercentageMax": 123,
"allocationAmountUsd": 123,
"allocationAmountSol": 123,
"allocationAmount": 123,
"allocationPercentage": 123,
"isPaused": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"balance": {
"balanceSol": 123,
"balanceUsd": 123,
"hasInsufficientBalance": true
}
}
}User
Update an active bot (mode / allocation)
:strategyId is the trading bot id. closeAllTrades: true only closes positions when executionMode is ALERTS_ONLY; ignored otherwise.
PATCH
/
api
/
v1
/
users
/
me
/
activations
/
{strategyId}
curl --request PATCH \
--url https://mcp.echozero.app/api/v1/users/me/activations/{strategyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"executionMode": "ALERTS_ONLY",
"allocationMode": "PERCENTAGE_RANGE"
}
'
{
"success": true,
"data": {
"success": true,
"message": "<string>",
"activation": {
"agentId": "<string>",
"tradingBotId": "<string>",
"executionMode": "AUTO_TRADING",
"activatedAt": "2023-11-07T05:31:56Z",
"allocationMode": "PERCENTAGE_RANGE",
"allocationPercentageMin": 123,
"allocationPercentageMax": 123,
"allocationAmountUsd": 123,
"allocationAmountSol": 123,
"allocationAmount": 123,
"allocationPercentage": 123,
"isPaused": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"balance": {
"balanceSol": 123,
"balanceUsd": 123,
"hasInsufficientBalance": true
}
}
}Authorizations
bearer-jwtapi-key
Headers
Body
application/json